Seedance 2.5
Seedance 2.5 Image to Video generates videos from a single image URL with optional prompts, customizable duration, resolution, and output format. It supports adding an end image and generating audio to enhance the video output.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "bytedance/seedance-2.5/image-to-video", { input: { "draft": false, "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "720p", "bitrate_mode": "high", "generate_audio": true }, withPolling: true, },); console.log(result);Calling the API
Use bytedance/seedance-2.5/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "bytedance/seedance-2.5/image-to-video", { input: { "draft": false, "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "720p", "bitrate_mode": "high", "generate_audio": true }, withPolling: true, },); console.log(result);Request parameters
promptstring · optional
Write your prompt here
{
"type": "string",
"minLength": 1,
"description": "Write your prompt here"
}draftboolean · optional
Generate a 480p MP4 draft with standard bitrate for later finalization.
Default: false
{
"type": "boolean",
"default": false,
"description": "Generate a 480p MP4 draft with standard bitrate for later finalization."
}durationinteger · optional
duration
Default: 5
{
"type": "integer",
"default": 5,
"maximum": 30,
"minimum": 4
}image_urlstring · required
image url
{
"type": "string",
"format": "uri"
}resolutionstring · optional
resolution
Options: 480p, 720p, 1080p
Default: "720p"
{
"enum": [
"480p",
"720p",
"1080p"
],
"type": "string",
"default": "720p"
}bitrate_modestring · optional
bitrate mode
Options: standard, high
Default: "high"
{
"enum": [
"standard",
"high"
],
"type": "string",
"default": "high"
}end_image_urlstring · optional
end image url
{
"type": "string",
"format": "uri"
}generate_audioboolean · optional
generate audio
Default: true
{
"type": "boolean",
"default": true
}Price
Standard self-serve rates in USD per video second: 480p: $0.1177; 720p: $0.2647; 1080p: $0.6518. Total price = selected rate × output duration in seconds.
View all pricing